## RygelHTTPByteSeekRequest RygelHTTPByteSeekRequest |

## Functions

RygelHTTPByteSeekRequest * | rygel_http_byte_seek_request_new ()
gint64 | rygel_http_byte_seek_request_get_start_byte ()
void | rygel_http_byte_seek_request_set_start_byte ()
gint64 | rygel_http_byte_seek_request_get_end_byte ()
void | rygel_http_byte_seek_request_set_end_byte ()
gint64 | rygel_http_byte_seek_request_get_range_length ()
gint64 | rygel_http_byte_seek_request_get_total_size ()
void | rygel_http_byte_seek_request_set_total_size ()
gboolean | rygel_http_byte_seek_request_supported ()
gboolean | rygel_http_byte_seek_request_requested ()

## Properties

gint64 | end-byte | Read / Write
gint64 | range-length | Read
gint64 | start-byte | Read / Write
gint64 | total-size | Read / Write

## Types and Values

#define | RYGEL_TYPE_HTTP_BYTE_SEEK_REQUEST
struct | RygelHTTPByteSeekRequest
struct | RygelHTTPByteSeekRequestClass

## Object Hierarchy

        GObject
        ╰── RygelHTTPSeekRequest
            ╰── RygelHTTPByteSeekRequest

## Description

## Functions

### rygel_http_byte_seek_request_new ()

    RygelHTTPByteSeekRequest *
    rygel_http_byte_seek_request_new (SoupMessage *msg,
                                      RygelHTTPGetHandler *handler,
                                      GError **error);

#### Parameters

msg |  |
handler |  |
error | location to store the error occuring, or `NULL` to ignore. | [error-domains RygelHTTPSeekRequestError RygelHTTPRequestError]

### rygel_http_byte_seek_request_get_start_byte ()

    gint64
    rygel_http_byte_seek_request_get_start_byte
                                   (RygelHTTPByteSeekRequest *self);

Get and return the current value of the "start-byte" property.

The start of the range in bytes

#### Parameters

self | the RygelHTTPByteSeekRequest instance to query |

#### Returns

the value of the "start-byte" property

### rygel_http_byte_seek_request_set_start_byte ()

    void
    rygel_http_byte_seek_request_set_start_byte
                                   (RygelHTTPByteSeekRequest *self,
                                    gint64 value);

Set the value of the "start-byte" property to `value` .

The start of the range in bytes

#### Parameters

self | the RygelHTTPByteSeekRequest instance to modify |
value | the new value of the "start-byte" property |

### rygel_http_byte_seek_request_get_end_byte ()

    gint64
    rygel_http_byte_seek_request_get_end_byte
                                   (RygelHTTPByteSeekRequest *self);

Get and return the current value of the "end-byte" property.

The end of the range in bytes (inclusive)

#### Parameters

self | the RygelHTTPByteSeekRequest instance to query |

#### Returns

the value of the "end-byte" property

### rygel_http_byte_seek_request_set_end_byte ()

    void
    rygel_http_byte_seek_request_set_end_byte
                                   (RygelHTTPByteSeekRequest *self,
                                    gint64 value);

Set the value of the "end-byte" property to `value` .

The end of the range in bytes (inclusive)

#### Parameters

self | the RygelHTTPByteSeekRequest instance to modify |
value | the new value of the "end-byte" property |

### rygel_http_byte_seek_request_get_range_length ()

    gint64
    rygel_http_byte_seek_request_get_range_length
                                   (RygelHTTPByteSeekRequest *self);

Get and return the current value of the "range-length" property.

The length of the range in bytes

#### Parameters

self | the RygelHTTPByteSeekRequest instance to query |

#### Returns

the value of the "range-length" property

### rygel_http_byte_seek_request_get_total_size ()

    gint64
    rygel_http_byte_seek_request_get_total_size
                                   (RygelHTTPByteSeekRequest *self);

Get and return the current value of the "total-size" property.

The length of the resource in bytes

#### Parameters

self | the RygelHTTPByteSeekRequest instance to query |

#### Returns

the value of the "total-size" property

### rygel_http_byte_seek_request_set_total_size ()

    void
    rygel_http_byte_seek_request_set_total_size
                                   (RygelHTTPByteSeekRequest *self,
                                    gint64 value);

Set the value of the "total-size" property to `value` .

The length of the resource in bytes

#### Parameters

self | the RygelHTTPByteSeekRequest instance to modify |
value | the new value of the "total-size" property |

### rygel_http_byte_seek_request_supported ()

    gboolean
    rygel_http_byte_seek_request_supported
                                   (SoupMessage *message,
                                    RygelHTTPGetHandler *handler);

#### Parameters

message |  |
handler |  |

### rygel_http_byte_seek_request_requested ()

    gboolean
    rygel_http_byte_seek_request_requested
                                   (SoupMessage *msg);

#### Parameters

msg |  |

## Types and Values

### RYGEL_TYPE_HTTP_BYTE_SEEK_REQUEST

    #define RYGEL_TYPE_HTTP_BYTE_SEEK_REQUEST (rygel_http_byte_seek_request_get_type ())

The type for RygelHTTPByteSeekRequest.

### struct RygelHTTPByteSeekRequest

    struct RygelHTTPByteSeekRequest;

### struct RygelHTTPByteSeekRequestClass

    struct RygelHTTPByteSeekRequestClass {
    	RygelHTTPSeekRequestClass parent_class;
    };

The class structure for `RYGEL_TYPE_HTTP_BYTE_SEEK_REQUEST`. All the fields in this structure are private and should never be accessed directly.

#### Members

## Property Details

### The `“end-byte”` property

      “end-byte”                 gint64

The end of the range in bytes (inclusive)

Flags: Read / Write

Default value: 0

### The `“range-length”` property

      “range-length”             gint64

The length of the range in bytes

Flags: Read

Default value: 0

### The `“start-byte”` property

      “start-byte”               gint64

The start of the range in bytes

Flags: Read / Write

Default value: 0

### The `“total-size”` property

      “total-size”               gint64

The length of the resource in bytes

Flags: Read / Write

Default value: 0